#
# Copyright 2015 (c) Anna Schumaker.
#
from . import api
from . import auth
from . import threads


class Channel(threads.Thread):
    def __init__(self, json):
        threads.Thread.__init__(self, json)
        self.api_history = "channels.history"
        self.api_info    = { "call" : "channels.info", "ret" : "channel" }
        self.api_mark    = "channels.mark"
        self.__member    = json.get("is_member", False)

    def is_member(self):
        return self.__member


def list():
    ret = api.call("channels.list", token = auth.token())
    if ret["ok"] == False:
        return None

    ch_list = []
    for channel in ret["channels"]:
        ch_list += [ Channel(channel) ]
    return ch_list
