#
# Copyright 2015 (c) Anna Schumaker.
#
from . import api
from . import auth
from . import threads


class Group(threads.Thread):
    def __init__(self, json):
        threads.Thread.__init__(self, json)
        self.api_history = "groups.history"
        self.api_info    = { "call" : "groups.info", "ret" : "group" }
        self.api_mark    = "groups.mark"


def list():
    ret = api.call("groups.list", token = auth.token())
    if ret["ok"] == False:
        return None

    gr_list = []
    for group in ret["groups"]:
        gr_list += [ Group(group) ]
    return gr_list
