#
# Copyright 2016 (c) Anna Schumaker.
#
from . import api
from . import auth
from . import threads
from . import users

class IM(threads.Thread):
    def __init__(self, json):
        threads.Thread.__init__(self, json)
        self.api_history = "im.history"
        self.api_info    = { "call" : "im.open", "ret" : "channel" }
        self.api_mark    = "im.mark"
        self.__uid       = json.get("user")
        self.__user      = users.info(self.__uid)

    def name(self):
        return "Chat With %s" % self.__user.name()

    def url(self, base):
        return "%s/messages/@%s/" % (base, self.__user.user())

    def call_fetch_info(self):
        return api.call(self.api_info["call"], token = auth.token(),
                            user = self.__uid, return_im = True)


def list():
    ret = api.call("im.list", token = auth.token())
    if ret["ok"] == False:
        return None

    im_list = []
    for im in ret["ims"]:
        im_list += [ IM(im) ]
    return im_list
